
QGIS Application - Bug report #5251

if "Options -> CRS -> coordinate reference system for new layers" is set "prompt for CRS" then 

creating QgsVectorLayer from different thread crashes QGIS

2012-03-28 11:45 AM - Aníbal Pacheco

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 14985

Description

Using master installed following https://issues.qgis.org/projects/quantum-gis/wiki/Download

Platform and platform version are specified on this issue metadata.

(2 shapefiles for sample data are attached)

Output when trying to merge:

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: qgis.bin: Fatal IO error: client killed

Related issues:

Related to QGIS Application - Bug report # 5962: "Merge Shapefile to one" cra... Closed 2012-07-06

Associated revisions

Revision ce6aab70 - 2012-12-29 10:16 PM - Jürgen Fischer

fix #5251

History

#1 - 2012-03-28 11:53 AM - Alexander Bruy

- Category set to 44

- Assignee set to Alexander Bruy

#2 - 2012-03-28 02:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

The cause can be the lack of .prj files. I tested on Windows and it crashed at the first attempt, then I fixed the shapes by adding the .prj files, run again the

operation and it went well. Can you give it a try too?
#3 - 2012-03-28 03:53 PM - Aníbal Pacheco

Yes, it worked well for me too after setting the projection

#4 - 2012-03-29 12:09 AM - Giovanni Manghi

- Subject changed from Merge shapefiles into one kills QGis to "Merge shapefiles to one" tool causes QGIS to crash if shapes are missing the .prj file

#5 - 2012-03-29 12:09 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#6 - 2012-03-29 07:10 AM - Alexander Bruy

Well, the problem is not in Merge shapefiles to one. And not in the lack of .prj file (at least this is not main issue). The problem is that now QGIS by default

asks for layer CRS when new new layer created or loaded (as requested in #4432). Seems that calling CRS selector from thread causes crash.

When I set "Coordinate Reference System for new layers" to "Use default CRS listed below" or to "Use project CRS" Merge shapefiles works fine even if

there is no .prj file. So I think we can close this ticket and maybe open another about restoring previous default settings "Use default CRS listed below"

because current settings is a source of many problems, for example see #4379, #4377 and other related tickets

#7 - 2012-03-29 07:55 AM - Aníbal Pacheco

When you choose the whole directory (default) the CRS selector dialog popups well for each shapefile in the directory, but after select the CRS for the last

shapefile QGIS crashes.

#8 - 2012-03-29 10:52 AM - Giovanni Manghi

Alexander Bruy wrote:

So I think we can close this ticket and maybe open another about restoring previous default settings "Use default CRS listed below" because

current settings is a source of many problems, for example see #4379, #4377 and other related tickets

Hi Alexander, I would not prefer to restore "Use default CRS listed below" because the lack of a explicit CRS (tiff+worldfile, missing .prj in shapes, etc.) is a

source of a lot of confusion among inexperienced users when they add layers to a project. Moreover a user can always change the QGIS options as are

now, so it would be always better to fix this issue rather than workaround it. Just my 2c :)

cheers

#9 - 2012-03-29 11:18 AM - Alexander Bruy

Ok, but IMHO this is not an fTools issue. As I can see crash occurred during initialization of QgsVectorLayer object

#10 - 2012-03-29 11:19 AM - Giovanni Manghi

Alexander Bruy wrote:

Ok, but IMHO this is not an fTools issue. As I can see crash occurred during initialization of QgsVectorLayer object
ok right, so a new ticket should be filed.

#11 - 2012-04-18 04:06 AM - Giovanni Manghi

Alexander Bruy wrote:

Ok, but IMHO this is not an fTools issue. As I can see crash occurred during initialization of QgsVectorLayer object

Hi Alex, can you please file the proper ticket or change the title and description of this one? thanks.

#12 - 2012-05-21 11:55 AM - Alexander Bruy

- OS version deleted (oneiric)

- Operating System changed from ubuntu to all

- Subject changed from "Merge shapefiles to one" tool causes QGIS to crash if shapes are missing the .prj file to if "Options -> CRS -> coordinate 

reference system for new layers" is set "prompt for CRS" then creating QgsVectorLayer from different thread crashes QGIS

#13 - 2012-05-21 11:55 AM - Alexander Bruy

- Category deleted (44)

- Assignee deleted (Alexander Bruy)

#14 - 2012-07-10 12:10 AM - Jürgen Fischer

should have been fixed with commit:fdb2475d

#15 - 2012-07-10 12:45 AM - Giovanni Manghi

Jürgen Fischer wrote:

should have been fixed with commit:fdb2475d

is this fix part of qgis 1.8? if yes then it seems that somehow is still affected, see #5962

#16 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#17 - 2012-10-05 01:27 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Definitely works on master.

#18 - 2012-10-06 12:30 PM - Gerhard Spieles

- Status changed from Closed to Reopened
Hello Giovanni,

just tested it with master 29e009f.

QGis-dev.exe  crash.

#19 - 2012-10-07 02:20 AM - Giovanni Manghi

- Operating System deleted (all)

- Resolution deleted (fixed)

gespiel - wrote:

Hello Giovanni,

just tested it with master 29e009f.

QGis-dev.exe  crash.

ok, I will try on Windows too asap.

#20 - 2012-12-29 01:10 AM - Giovanni Manghi

- Priority changed from Normal to High

Jürgen Fischer wrote:

should have been fixed with commit:fdb2475d

still crashes master on both windows and linux.

#21 - 2012-12-29 05:53 AM - Giovanni Manghi

probable duplicate of #5962

#22 - 2012-12-29 05:54 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

this should be a regression, so it is a blocker.

#23 - 2012-12-29 01:17 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"ce6aab704faeefeb14b301f463363371bfb0f475".
#24 - 2012-12-31 12:44 AM - Giovanni Manghi

- Resolution set to fixed

Files

sample_shapefiles.tgz 300 KB 2012-03-28 Aníbal Pacheco
